rte_swx_pipeline_selector_params(3)

NAME
rte_swx_pipeline_selector_params

SYNOPSIS

#include <rte_swx_pipeline.h>

  Data Fields

const char * group_id_field_name
const char ** selector_field_names
uint32_t n_selector_fields
const char * member_id_field_name
uint32_t n_groups_max
uint32_t n_members_per_group_max

Detailed Description

Pipeline selector table parameters.

Definition at line 752 of file rte_swx_pipeline.h.

Field Documentation

  const char* group_id_field_name
The group ID field. Input into the selection operation. Restriction: This field must be a meta-data field.

Definition at line 756 of file rte_swx_pipeline.h.

  const char** selector_field_names
The set of fields used to select (through a hashing scheme) the member within the current group. Inputs into the selection operation. Restriction: All the selector fields must be part of the same struct, i.e. part of the same header or part of the meta-data structure.

Definition at line 763 of file rte_swx_pipeline.h.

  uint32_t n_selector_fields
The number of selector fields. Must be non-zero.

Definition at line 766 of file rte_swx_pipeline.h.

  const char* member_id_field_name
The member ID field. Output from the selection operation. Restriction: This field must be a meta-data field.

Definition at line 771 of file rte_swx_pipeline.h.

  uint32_t n_groups_max
Maximum number of groups. Must be non-zero.

Definition at line 774 of file rte_swx_pipeline.h.

  uint32_t n_members_per_group_max
Maximum number of members per group. Must be non-zero.

Definition at line 777 of file rte_swx_pipeline.h.

Author

Generated automatically by Doxygen for DPDK from the source code.